[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'db' (#fcl)

# TDataSet.GetBookmark

Get a bookmark pointer (deprecated)

## Declaration

Source position: db.pas line 1598

`public function TDataSet.GetBookmark: TBookmark; virtual;`

## Function result

Bookmark for curren location or Nil

## Description

GetBookmark gets a bookmark pointer to the current cursor location. The TDataset.SetBookmark call can be used to return to the current record in the dataset. After use, the bookmark must be disposed of with the TDataset.FreeBookmark call. The bookmark will be Nil if the dataset is empty or not active.

This call is deprecated. Use the TDataset.Bookmark property instead to get a bookmark.

## See also

TDataset.SetBookmark
TDataset.FreeBookmark |  | Free a bookmark obtained with GetBookmark (deprecated)
TDataset.Bookmark |  | Get or set the current cursor position

Documentation generated on: Feb 26 2014